import 'package:flutter/material.dart';

class HomeController extends ChangeNotifier {
  int _selectedCardIndex = 0;
  
  int get selectedCardIndex => _selectedCardIndex;
  
  void selectCard(int index) {
    _selectedCardIndex = index;
    notifyListeners();
  }
  
  void navigateToDetails(String playerName) {
    print('Navegando para detalhes de $playerName');
  }
  
  void refreshData() {
    print('Atualizando dados da home...');
    notifyListeners();
  }
}